OpenShot Audio Library | OpenShotAudio: juce::NetworkServiceDiscovery::AvailableServiceList Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::NetworkServiceDiscovery::AvailableServiceList Struct Reference

`#include <juce_NetworkServiceDiscovery.h>`

Inheritance diagram for juce::NetworkServiceDiscovery::AvailableServiceList:

## Public Member Functions
| AvailableServiceList (const String &serviceTypeUID, int broadcastPort)
| ~AvailableServiceList () override
std::vector< Service > | getServices () const

## Public Attributes
std::function< void()> | onChange

## Detailed Description

Watches the network for broadcasts from Advertiser objects, and keeps a list of all the currently active instances.

Just create an instance of AvailableServiceList and it will start listening - you can register a callback with its onChange member to find out when services appear/disappear, and you can call getServices() to find out the current list.

See also
  Service, Advertiser

Definition at line 102 of file juce_NetworkServiceDiscovery.h.

## Constructor & Destructor Documentation

## ◆ AvailableServiceList()

juce::NetworkServiceDiscovery::AvailableServiceList::AvailableServiceList | ( | const String & | serviceTypeUID,
|  | int | broadcastPort
| ) |  |

Creates an AvailableServiceList that will bind to the given port number and watch the network for Advertisers broadcasting the given service type.

This will only detect broadcasts from an Advertiser object with a matching serviceTypeUID value, and where the broadcastPort matches.

Definition at line 78 of file juce_NetworkServiceDiscovery.cpp.

## ◆ ~AvailableServiceList()

juce::NetworkServiceDiscovery::AvailableServiceList::~AvailableServiceList | ( |  | ) |
| override

Destructor

Definition at line 89 of file juce_NetworkServiceDiscovery.cpp.

## Member Function Documentation

## ◆ getServices()

std::vector< NetworkServiceDiscovery::Service > juce::NetworkServiceDiscovery::AvailableServiceList::getServices | ( |  | ) | const

Returns a list of the currently known services.

Definition at line 119 of file juce_NetworkServiceDiscovery.cpp.

## Member Data Documentation

## ◆ onChange

std::function<void()> juce::NetworkServiceDiscovery::AvailableServiceList::onChange

A lambda that can be set to receive a callback when the list changes

Definition at line 117 of file juce_NetworkServiceDiscovery.h.

The documentation for this struct was generated from the following files:

- juce_NetworkServiceDiscovery.h
- juce_NetworkServiceDiscovery.cpp